@import url('https://fonts.googleapis.com/css?family=Libre+Baskerville');

html, body {
  font-size: 18px;
  background-color: #f5f7fa;
  color: #212121
}

body {
  padding: 2rem;
  font-family: 'Libre Baskerville', serif;
}

h1 {
  text-align: center;
  font-size: 36px;
  color: #311B92;
}

h1 span {
  padding-bottom: 6px;
  border-bottom: 2px solid #311B92;
}

h2 {
  text-align: center;
    font-size: 21px;
    color: #424242;
}

h3 {
  text-align: center;
    font-size: 14px;
    color: #424242;
    margin-top: 36px;
}

#graph {

}

timeline {
  margin-top: 18px;
}

#landing-graph {
  width: 100%;
  height: 55vh;
  margin-top: 18px;
  background-color: #311B92;
}

#controlla {

  width: 100%
}

#help-container {
  display: flex;
  flex-direction: row;
  align-items: center;
}

#ui-help {
  position: relative;
  height:70px;
  width: 5%;

}

#ui-help + p {
  width: 90%
}

img.drag-icon {
  position: absolute;
  width: 33%;
  left: 33%;
  right: 33%;
  top: 0;
}

#nRadius {
  width: 100%;
}

a, a:visited a:focus {
  color: #212121;
  text-decoration: none;
  border-bottom: 1px solid #212121;
}

a:hover {
  background-color: #212121;
  color:#B39DDB;
  text-decoration: none;
  border-bottom: 0px solid #212121;
}

.sliding {
    animation-duration: 3s;
    animation-name: slide;
    animation-iteration-count: infinite;
  }

@keyframes slide {
  from {
    transform: translate(-25%, 0px);
  }

  50% {
    transform: translate(25%, 0px);
  }

  to {
    transform: translate(-25%, 0px);
  }
}

.ninja {
  animation-duration: 0.66s;
  animation-name: ninja;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes ninja {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}












/*range slider*/
input[type=range] {
  -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
  width: 100%; /* Specific width is required for Firefox. */
  background: transparent; /* Otherwise white in Chrome */
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
}

input[type=range]:focus {
  outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */
}

input[type=range]::-ms-track {
  width: 100%;
  cursor: pointer;

  /* Hides the slider so custom styles can be added */
  background: transparent;
  border-color: transparent;
  color: transparent;
}

/* Special styling for WebKit/Blink */
input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 30px;
  width: 30px;
  border-radius: 100%;
  background: #3d70b2;
  cursor: pointer;
  margin-top: -10px; /* You need to specify a margin in Chrome, but in Firefox and IE it is automatic */
}

/* All the same stuff for Firefox */
input[type=range]::-moz-range-thumb {
  height: 30px;
  width: 30px;
  border-radius: 100%;
  background: #3d70b2;
  cursor: pointer;
}

/* All the same stuff for IE */
input[type=range]::-ms-thumb {
  height: 30px;
  width: 30px;
  border-radius: 100%;
  background: #3d70b2;
  cursor: pointer;
}

input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: #BDBDBD;
}


input[type=range]:focus::-webkit-slider-runnable-track {
  background: #BDBDBD;
}

input[type=range]::-moz-range-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: #BDBDBD;
}

input[type=range]::-ms-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  background: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #BDBDBD;

}
input[type=range]:focus::-ms-fill-lower {
  background: #BDBDBD;
}
input[type=range]::-ms-fill-upper {
  background: #BDBDBD;

}
input[type=range]:focus::-ms-fill-upper {
  background: #BDBDBD;
}



@media(max-width: 900px) {

  body {
    padding: 1rem;
  }

  h1 {
    font-size: 24px;
  }

  h1 span {
    padding-bottom: 3px;
    border-bottom: 1px solid #311B92;
  }

  h2 {
      font-size: 18px;
  }

  h3 {
      font-size: 12px;
      margin-top: 14px;
      line-height: 18px;
  }

  #landing-graph {
    width: 100%;
    height: 80vw;
    margin-top: 18px;
    background-color: #311B92;
  }

  #controlla {
    width: 100%
  }

  #help-container {
    display: flex;
    flex-direction: row;
    align-items: center;
  }

  #ui-help {
    position: relative;
    height:70px;
    width: 20%;
  }

  #ui-help + p {
    width: 80%
  }

  img.drag-icon {
    position: absolute;
    width: 33%;
    left: 33%;
    right: 33%;
    top: 0;
  }

}

@media(max-width: 400px) {

  h1 {
    font-size: 18px;
  }

  h1 span {
    border-bottom: 1px solid #311B92;
  }

  h2 {
      font-size: 14px;
  }

  h3 {
      font-size: 11px;
      margin-top: 16px;
      padding-top: 3px;
      line-height: 18px;
  }

}
